# class ActiveSupport::Testing::Performance::Performer

### Public Class Methods

new(harness, metric) click to toggle source

    # File lib/active_support/testing/performance.rb, line 148
    def initialize(harness, metric)
      @harness, @metric, @supported = harness, metric, false
    end

### Public Instance Methods

report() click to toggle source

    # File lib/active_support/testing/performance.rb, line 152
    def report
      if @supported
        rate = @total / full_profile_options[:runs]
        '%20s: %s' % [@metric.name, @metric.format(rate)]
      else
        '%20s: unsupported' % @metric.name
      end
    end

### Protected Instance Methods

output_filename() click to toggle source

    # File lib/active_support/testing/performance.rb, line 162
    def output_filename
      "#{full_profile_options[:output]}/#{full_test_name}_#{@metric.name}"
    end